# Uses of Enum
org.apache.zookeeper.Watcher.Event.KeeperState

Packages that use Watcher.Event.KeeperState
Package
Description
org.apache.zookeeper
org.apache.zookeeper.client

## Uses of Watcher.Event.KeeperState in org.apache.zookeeper

Subclasses with type arguments of type Watcher.Event.KeeperState in org.apache.zookeeper
Modifier and Type
Class
Description
`static enum`
`Watcher.Event.KeeperState`
Enumeration of states the ZooKeeper may be at the event
Methods in org.apache.zookeeper that return Watcher.Event.KeeperState
Modifier and Type
Method
Description
`static Watcher.Event.KeeperState`
Watcher.Event.KeeperState.`fromInt(int intValue)`
`Watcher.Event.KeeperState`
WatchedEvent.`getState()`
`static Watcher.Event.KeeperState`
Watcher.Event.KeeperState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Watcher.Event.KeeperState[]`
Watcher.Event.KeeperState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper with parameters of type Watcher.Event.KeeperState
Modifier and Type
Method
Description
`Set<Watcher>`
ClientWatchManager.`materialize(Watcher.Event.KeeperState state, Watcher.Event.EventType type, String path)`
Return a set of watchers that should be notified of the event.
Constructors in org.apache.zookeeper with parameters of type Watcher.Event.KeeperState
Modifier
Constructor
Description
``
`WatchedEvent(Watcher.Event.EventType eventType, Watcher.Event.KeeperState keeperState, String path)`
Create a WatchedEvent with specified type, state and path
``
`WatchedEvent(Watcher.Event.EventType eventType, Watcher.Event.KeeperState keeperState, String path, long zxid)`
Create a WatchedEvent with specified type, state, path and zxid

## Uses of Watcher.Event.KeeperState in org.apache.zookeeper.client

Methods in org.apache.zookeeper.client that return Watcher.Event.KeeperState
Modifier and Type
Method
Description
`Watcher.Event.KeeperState`
ZooKeeperSaslClient.`getKeeperState()`